Search found 6 matches

Go to advanced search

by Prakash
Wed May 19, 2021 10:31 am
Forum: Help on using FreeCAD
Topic: FEM Stress values are not showing
Replies: 5
Views: 703

Re: FEM Stress values are not showing

Thanks for Detailed Answer.

Did you manually removed all those tiny arcs(fillets) or can we do it by macro(python)
There is an option (Decimation) in Mesh Design Workbench..but this option removed large faces instead of flattening the fillets.

Thanks Again

with warm regards,
Prakash
by Prakash
Sun May 16, 2021 5:32 am
Forum: Help on using FreeCAD
Topic: FEM Stress values are not showing
Replies: 5
Views: 703

FEM Stress values are not showing

Hi All i'm trying to do static analysis (with force and fixed constraint on sides) in Previous version of FreeCAD i could see Stress Values along with displacement in CCX_Results but now i see only displacement, Stress is always zero on all the faces (tried with different materials, but no effect on...
by Prakash
Sat May 15, 2021 7:41 pm
Forum: Help on using FreeCAD
Topic: Unable to merge multiple solids to one solid for FEM
Replies: 2
Views: 182

Re: Unable to merge multiple solids to one solid for FEM

Thank you
Fixing the Gap worked.
Now "Part->Connect" is creating single solid.

but having issue with Stress plot from FEM Result (Not sure if this is linked to current issue)
Posted here
by Prakash
Sat May 15, 2021 5:55 pm
Forum: Help on using FreeCAD
Topic: Unable to merge multiple solids to one solid for FEM
Replies: 2
Views: 182

Unable to merge multiple solids to one solid for FEM

Hi i'm trying to merge multiple parts into single solid for FEM. Tried with "Part-> Embed, Connect and Union" it creates single object in Tree view but when i select "Part->Check Geometry->Run Check" i see that there are still 2 solids. Checked object: Unnamed1.Embed (Embed): Sha...
by Prakash
Wed Feb 20, 2019 8:11 am
Forum: Python scripting and macros
Topic: how to add ShapeColor from python script
Replies: 2
Views: 345

Re: how to add ShapeColor from python script

Thanks for your reply
when i execute the code you shared, it says
AttributeError: 'NoneType' object has no attribute 'ShapeColor'

Code: Select all

>>x = FreeCAD.getDocument("Part1").getObject("Pad001").ViewObject
>>print type(x)
<type 'NoneType'>
by Prakash
Wed Feb 20, 2019 7:01 am
Forum: Python scripting and macros
Topic: how to add ShapeColor from python script
Replies: 2
Views: 345

how to add ShapeColor from python script

Hello Everybody, I'm new here.. I'm using FreeCad on Windows Os and was trying to add color to a Part from python. i know its possible from the GUI or using the python console panel like shown below. FreeCADGui.getDocument("Part1").getObject("Pad001").ShapeColor = (1.00,0.67,0.50...

Go to advanced search